com.amazonaws.codegen

## Class ExamplesCustomizer

- java.lang.Object
- - com.amazonaws.codegen.ExamplesCustomizer

    public class ExamplesCustomizer
    extends Object

Transforms the examples so that they are in line with any shape related customizations for the given service.

### Constructor Summary

Constructors
Constructor and Description
`ExamplesCustomizer(ServiceModel serviceModel, CustomizationConfig customizationConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServiceExamples` `applyCustomizationsToExamples(ServiceExamples serviceExamples)` Apply the configured `CustomizationConfig` to the given service examples.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExamplesCustomizer

    public ExamplesCustomizer(ServiceModel serviceModel,
                              CustomizationConfig customizationConfig)

### Method Detail

#### applyCustomizationsToExamples

    public ServiceExamples applyCustomizationsToExamples(ServiceExamples serviceExamples)

Apply the configured `CustomizationConfig` to the given service examples.

Parameters:
  `serviceExamples` - The service examples.
Returns:
  The customized service examples.